# Generated by Django 3.0.3 on 2020-03-19 10:36

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('judge', '0003_friendly_test_types_names'),
    ]

    operations = [
        migrations.CreateModel(
            name='Worker',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('stopped', models.BooleanField(default=False)),
                ('last_contact', models.DateTimeField(blank=True, null=True)),
                ('is_active', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='WorkerToken',
            fields=[
                ('key', models.CharField(max_length=40, primary_key=True, serialize=False, verbose_name='Key')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='auth_token', to='jobs.Worker', verbose_name='Worker')),
            ],
            options={
                'verbose_name': 'Token',
                'verbose_name_plural': 'Tokens',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='GenericJob',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('priority', models.IntegerField(choices=[(0, 'Mega High'), (1, 'High'), (2, 'Normal'), (3, 'Low'), (4, 'Lowest')])),
                ('created_at', models.DateTimeField()),
                ('scheduled_for', models.DateTimeField(null=True)),
                ('status', models.IntegerField(choices=[(0, 'PENDING'), (1, 'PREPARING'), (2, 'RUNNING'), (3, 'DONE'), (4, 'CANCELLED'), (5, 'FAILED')])),
                ('execution_log', models.TextField(blank=True, null=True)),
                ('execution_duration', models.DurationField(blank=True, null=True)),
                ('worker', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='jobs.Worker')),
            ],
        ),
        migrations.CreateModel(
            name='SubmitTestJob',
            fields=[
                ('genericjob_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='jobs.GenericJob')),
                ('summary_result', models.TextField(blank=True, null=True)),
                ('submit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='judge.Submit')),
            ],
            bases=('jobs.genericjob',),
        ),
        migrations.CreateModel(
            name='PrepareAssetsJob',
            fields=[
                ('genericjob_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='jobs.GenericJob')),
                ('original_asset', models.FileField(upload_to='asset_prep_source/')),
                ('for_task', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='judge.Task')),
            ],
            bases=('jobs.genericjob',),
        ),
        migrations.CreateModel(
            name='BatchResult',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('protocol', models.TextField(blank=True, null=True)),
                ('result', models.TextField(blank=True, null=True)),
                ('for_batch', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='judge.Batch')),
                ('submit_test_job', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='batch_results', to='jobs.SubmitTestJob')),
            ],
        ),
    ]
